#ifndef PID_H_
#define PID_H_

#include "Arduino.h"

class PID {
	public:
	PID();
	
	int32_t Target;
	float P;
	float I;
	float D;

	uint8_t calculatePID(int32_t value);
	
	private:
	uint32_t lastCalculationTime;
	int32_t lastValue;
	float  integratedI;
	};



#endif /* PID_H_ */